<?php

/**
 * Related Post Options
 *
 * @package dark_fitness
 */

$wp_customize->add_section(
	'dark_fitness_related_post_options',
	array(
		'title' => esc_html__( 'Related Post Options', 'dark-fitness' ),
		'panel' => 'dark_fitness_theme_options',
	)
);

// Add Separator Custom Control
$wp_customize->add_setting( 'dark_fitness_related_post_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Dark_Fitness_Separator_Custom_Control( $wp_customize, 'dark_fitness_related_post_separator', array(
	'label' => __( 'Enable / Disable Related Post Section', 'dark-fitness' ),
	'section' => 'dark_fitness_related_post_options',
	'settings' => 'dark_fitness_related_post_separator',
) ) );


// Post Options - Show / Hide Related Posts.
$wp_customize->add_setting(
	'dark_fitness_post_hide_related_posts',
	array(
		'default'           => true,
		'sanitize_callback' => 'dark_fitness_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Dark_Fitness_Toggle_Switch_Custom_Control(
		$wp_customize,
		'dark_fitness_post_hide_related_posts',
		array(
			'label'   => esc_html__( 'Show / Hide Related Posts', 'dark-fitness' ),
			'section' => 'dark_fitness_related_post_options',
		)
	)
);


// Register setting for number of related posts
$wp_customize->add_setting(
    'dark_fitness_related_posts_count',
    array(
        'default'           => '',
        'sanitize_callback' => 'absint', // Ensure it's an integer
    )
);

// Add control for number of related posts
$wp_customize->add_control(
    'dark_fitness_related_posts_count',
    array(
        'type'        => 'number',
        'label'       => esc_html__( 'Number of Related Posts to Display', 'dark-fitness' ),
        'section'     => 'dark_fitness_related_post_options',
        'input_attrs' => array(
            'min'  => 1,
            'max'  => 5, // Adjust maximum based on your preference
            'step' => 1,
        ),
    )
);

// Post Options - Related Post Label.
$wp_customize->add_setting(
	'dark_fitness_post_related_post_label',
	array(
		'default'           => __( 'Related Posts', 'dark-fitness' ),
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'dark_fitness_post_related_post_label',
	array(
		'label'    => esc_html__( 'Related Posts Heading', 'dark-fitness' ),
		'section'  => 'dark_fitness_related_post_options',
		'settings' => 'dark_fitness_post_related_post_label',
		'type'     => 'text',
	)
);